Package org.apache.solr.common.util

# Class FastJavaBinDecoder

java.lang.Object
org.apache.solr.common.util.FastJavaBinDecoder

All Implemented Interfaces:
  `DataEntry.FastDecoder`

public class FastJavaBinDecoder extends Object implements DataEntry.FastDecoder

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`FastJavaBinDecoder.EntryImpl`
`static enum`
`FastJavaBinDecoder.Tag`

## Constructor Summary

Constructors
Constructor
Description
`FastJavaBinDecoder()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`decode(DataEntry.EntryListener listener)`
`static DataEntry.EntryListener`
`getEntryListener()`
`FastJavaBinDecoder`
`withInputStream(InputStream is)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FastJavaBinDecoder

public FastJavaBinDecoder()

## Method Details

### withInputStream

public FastJavaBinDecoder withInputStream(InputStream is)

Specified by:
  `withInputStream` in interface `DataEntry.FastDecoder`

### decode

public Object decode(DataEntry.EntryListener listener) throws IOException

Specified by:
  `decode` in interface `DataEntry.FastDecoder`
Throws:
  `IOException`

### getEntryListener

public static DataEntry.EntryListener getEntryListener()